post
https://api.sumsub.com/resources/api/applicants/notes
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Use this method to add a note to the applicant profile.
Info
- Notes are neither processed nor taken into account by automatic checks.
- Do not use notes as a channel for instant messages.
Tips
- You can add notes to the applicant profile in the Dashboard. Open the applicant profile you need, and click Add note in the Verification tab.
- You can add attachments to the notes in the dashboard or with this API method.
Required permissions
To use this method, your app token must have the Manage applicant notes permission.
Request example
curl -X POST \
'https://api.sumsub.com/resources/api/applicants/notes' \
-H 'content-type: application/json' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>' \
-d '{
"applicantId": "687fb2373fc85ad66b5d6244",
"note": "This is an example note",
"tags": [
"First tag",
"Second tag"
]
}'Response explained
The response is a JSON file representing the note details. The following tables explain the response attributes.
| Field | Type | Description |
|---|---|---|
id | String | Note identifier. You may need it in case you want to edit a note , remove a note , or add an attachment . |
applicantId | String | Unique applicant identifier in the Sumsub system (applicantId).This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side. |
note | String | Text of the note. |
createdAt | Date | Date and time when the note was added. |
createdBy | String | Identifier of the note author. |
tags | Array of strings | Tags assigned to the note. |
Response examples
If the request is sent and processed successfully, you will receive a response like the following:
{
"id": "6893925cff736e92c020acaa",
"applicantId": "687fb2373fc85ad66b5d6244",
"note": "This is an example note",
"createdAt": "2025-08-06 17:35:24+0000",
"createdBy": "example_user",
"tags": [
"First tag",
"Second tag"
]
}If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:
{
"code": 400,
"description": "note must not be null",
"correlationId": "f23e05c9f1a0aa2beb83065f98dc0544"
}